
#ifndef TSICHEADER
#define TSICHEADER

	// temp
	#define TSICPINNR 	1<<1
	#define TSIC_PIN 	(PINA&TSICPINNR)
	// Makro "TSIC" verboten wegen gleichnamiger Klasse
	
class Display;
	
class TSIC{

	private:
		uint8_t 	tStrobe; // zwischen 60 und 65
		uint8_t		timeStartTSIC;
		bool	startTSIC;
		bool	oldTSIC; // alter pegel
		bool	strobeRead;
		bool	readTSIC;
		uint8_t	ignoreNext; // fr nchstes byte
		
		uint16_t timeOldTSIC;
		uint8_t	byte1;
		uint8_t	byte2;
		uint8_t cbit;
		uint8_t cbyte;
		
		float	m_temp;
		
		char buffer[15];

	public:
		Display* m_pDisplay;
		
		TSIC(){
				tStrobe = 0; // zwischen 60 und 65
				timeStartTSIC = TCNT1L;
				timeStartTSIC |= TCNT1H<<8;
	
				startTSIC = false;
				oldTSIC = true; // alter pegel
				strobeRead = false;
				readTSIC = false;
				ignoreNext = 0; // fr nchstes byte
				
				timeOldTSIC = 0;
				byte1 = 0x00;
				byte2 = 0x00;
				cbit = 0;
				cbyte = 0;
		}
	
		void	run( uint16_t _time );
		
		bool	isFinished(){ return cbyte>1; }
		
		float	getTemp(){ return m_temp; }
		
};


#endif